<!--<app-navbar></app-navbar>-->

<h1>Game Code: {{gameCode}} </h1>
<button class="btn btn-outline" (click)="refresh()">refresh</button>
<clr-datagrid>
  <!--<clr-dg-column>User ID</clr-dg-column>-->
  <clr-dg-column class="clr-col-lg-4 clr-col-4" [clrDgField]="'playerName'">Name</clr-dg-column>
  <!-- <clr-dg-column class="clr-col-lg-4 clr-col-4" [clrDgField]="'score'">Score</clr-dg-column> -->
  <!-- <clr-dg-column class="clr-col-lg-4 clr-col-4" [clrDgField]="'test'">{{meters[0].attributeName}} meter</clr-dg-column> -->
  <clr-dg-column class="clr-col-lg-4 clr-col-4" [clrDgSortBy]="'playerScore'" *ngFor="let metername of meters; let i=index">
    <clr-dg-cell>{{ meters[i].attributeName }}</clr-dg-cell>
  </clr-dg-column>

  <!--<clr-dg-column [clrDgField]="'creation'">Creation date</clr-dg-column>
  <clr-dg-column [clrDgField]="'pokemon.name'">Pokemon</clr-dg-column>
  <clr-dg-column [clrDgField]="'color'">Favorite color</clr-dg-column>
  <clr-dg-column [clrDgField]="'wins'" [clrDgColType]="'number'">Wins</clr-dg-column>-->

  <clr-dg-row *clrDgItems="let user of users">
    <!--<clr-dg-cell>{{user.id}}</clr-dg-cell>-->
    <clr-dg-cell class="clr-col-lg-4 clr-col-4">{{user.playerName}}</clr-dg-cell>
    <!--<clr-dg-cell>{{user.creation | date}}</clr-dg-cell>-->
    <!-- <clr-dg-cell>{{user.score}}</clr-dg-cell> -->
    <!-- <clr-dg-row *ngFor="let s of user.playerScore; let i=index"> -->
    <clr-dg-cell class="clr-col-lg-4 clr-col-4" *ngFor="let s of user.playerScore">{{s.score}}</clr-dg-cell>
    <!-- </clr-dg-row> -->


    <!--<clr-dg-cell>
      <span class="color-square" [style.backgroundColor]="user.color"></span>
    </clr-dg-cell>-->
    <!--<clr-dg-cell>{{user.score}}</clr-dg-cell>-->
  </clr-dg-row>

  <!--<clr-dg-footer>{{users.length}} users</clr-dg-footer>-->
  <clr-dg-footer>
    <clr-dg-pagination #pagination [clrDgPageSize]="10">
      <clr-dg-page-size [clrPageSizeOptions]="[10,20,50,100]">Users per page</clr-dg-page-size>
      {{pagination.firstItem + 1}} - {{pagination.lastItem + 1}} of {{pagination.totalItems}} users
    </clr-dg-pagination>
  </clr-dg-footer>
</clr-datagrid>